package cn.freemud.demo.manager.coupon;

import cn.freemud.demo.entities.CouponDetailBO;
import cn.freemud.demo.entities.GetCouponDetailBO;
import cn.freemud.demo.entities.bo.goods.GetProductBO;
import cn.freemud.demo.manager.product.ProductService;
import org.springframework.stereotype.Service;

@Service
public class CouponManager {



    public CouponDetailBO getCouponDetail(GetCouponDetailBO getCouponDetail, CouponService couponService){
        CouponDetailBO couponDetail = couponService.getCouponDetail(getCouponDetail);
        return couponDetail;
    }

}
